## pyepl 1.0.29

=== code/Makefile ===
# PyEPL: Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: pyepl #manual
#someday someone should make the manual work under OS X

manual: FORCE
	$(MAKE) -C manual

#pyepl: deps hardware 
pyepl: hardware 

deps:
	$(MAKE) -C dependencies

hardware: FORCE
	$(MAKE) -C hardware

PLATFORM = $(shell uname)

ifeq ($(PLATFORM), Linux)

#mechinput.so: mechinput.o
#	gcc -shared mechinput.o -o mechinput.so

#mechinput.o: mechinput.c
#	gcc -c -fPIC -I/usr/include/python2.3/ mechinput.c

#mechinput.c: mechinput.pyx
#	pyrexc mechinput.pyx

endif

ifeq ($(PLATFORM), Darwin)

#mechinput.so: mechinput.o
#	gcc -bundle -flat_namespace -undefined suppress mechinput.o -o mechinput.so

#mechinput.o: mechinput.c
#	gcc -fPIC -c mechinput.c -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3/

#mechinput.c: mechinput.pyx
#	pyrexc mechinput.pyx

endif

FORCE:

docs:
	$(MAKE) -C documentation
