=== code/hardware/sound/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c eplSound_wrap.cxx -o eplSound_wrap.o
 	g++ -lpthread -lasound -shared eplSound_wrap.o eplSound.o RtAudio.o fifo.o -o _eplSound.so
 
-eplSound.o: eplSound.cpp
+eplSound.o: eplSound.cpp eplSound.h
 	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c eplSound.cpp -o eplSound.o
 
 fifo.o: fifo.cpp
