=== code/hardware/eeg/pulse/Makefile ===
--- 
+++ 
@@ -8,10 +8,18 @@
 # (LGPL). See the license.txt that came with this file.
 
 PLATFORM = $(shell uname)
+INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
 
 ifeq ($(PLATFORM), Linux)
-all: 
-# Do nothing for now
+all: _parallel.so
+
+_parallel.so: parallel.o parallel.i
+	swig -c++ -python parallel.i
+	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c parallel_wrap.cxx -o parallel_wrap.o
+	g++ -lpthread -shared parallel_wrap.o parallel.o -o _parallel.so
+
+parallel.o: parallel.cpp parallel.h
+	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c parallel.cpp -o parallel.o
 
 
 
@@ -38,7 +46,7 @@
 	g++ $(FLAGS3) -I$(PYTHON_INC) -c $*.cpp -o $@
 
 awctest: awCard.cpp awCard.h
-	g++ -g -o $@ awCard.cpp
+	g++ -g -o $@ awCard.cpp -law
 
 clean:
 	rm *.o *.so *.cxx
