## pyepl 1.1.0

=== code/hardware/eeg/Makefile ===
# PyEPL: hardware/eeg/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: pulse scalp

pulse: FORCE
	$(MAKE) -C pulse

scalp: FORCE
	$(MAKE) -C scalp

FORCE:
