=== code/hardware/rt/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 all: 
 # Do nothing for now
 
-
+clean:
+	rm -f *.so *.o
 
 endif
