## pyepl 1.1.0%2Bgit12-g365f8e3

=== debian/control ===
Source: pyepl
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 5.0.37.2), libasound2-dev, libsndfile1-dev, libsamplerate0-dev, swig, libode-dev, python-all-dev (>=2.6.6-3~), jade, python-pyrex
XS-Python-Version: >=2.3
Homepage: http://pyepl.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pyepl.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pyepl.git
Standards-Version: 3.9.0

Package: python-pyepl
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-pyepl-common (= ${source:Version}), python-numpy, python-imaging, python-pygame, python-pyode, python-opengl, ttf-dejavu, ${shlibs:Depends}
Conflicts: python2.3-pyepl, python2.4-pyepl
Replaces: python2.3-pyepl, python2.4-pyepl
Provides: ${python:Provides}
Description: module for coding psychology experiments in Python
 PyEPL is a stimuli delivery and response registration toolkit to be
 used for generating psychology (as well as neuroscience, marketing
 research, and other) experiments.
 .
 It provides
  - presentation: both visual and auditory stimuli
  - responses registration: both manual (keyboard/joystick) and
    sound (microphone) time-stamped
  - sync-pulsing: synchronizing your behavioral task with external
    acquisition hardware
  - flexibility of encoding various experiments due to the use of
    Python as a description language
  - fast execution of critical points due to the calls to linked
    compiled libraries
 .
 This toolbox is here to be an alternative for a widely used
 commercial product E'(E-Prime)
 .
 This package provides PyEPL for supported versions of Python.

Package: python-pyepl-common
Architecture: all
Depends: ${misc:Depends}, python
Description: module for coding psychology experiments in Python
 PyEPL is a stimuli delivery and response registration toolkit to be
 used for generating psychology (as well as neuroscience, marketing
 research, and other) experiments.
 .
 It provides
  - presentation: both visual and auditory stimuli
  - responses registration: both manual (keyboard/joystick) and
    sound (microphone) time-stamped
  - sync-pulsing: synchronizing your behavioral task with external
    acquisition hardware
  - flexibility of encoding various experiments due to the use of
    Python as a description language
  - fast execution of critical points due to the calls to linked
    compiled libraries
 .
 This toolbox is here to be an alternative for a widely used
 commercial product E'(E-Prime)
 .
 This package provides common files such as images.
