## pyepl 1.1.0+git12

=== code/Makefile ===
--- 
+++ 
@@ -21,6 +21,11 @@
 
 hardware: FORCE
 	$(MAKE) -C hardware
+
+clean:
+# quick and dirty
+	find -iname \*.o -o -iname \*.so -exec rm \{\} \;
+#$(MAKE) -C hardware clean
 
 PLATFORM = $(shell uname)
