=== code/hardware/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #
 # Distributed under the terms of the GNU Lesser General Public License
 # (LGPL). See the license.txt that came with this file.
+
 
 all: eeg sound vr rt eventpoll.so timing.so keyboard.so joystick.so mouse.so
 
@@ -21,6 +22,12 @@
 rt: FORCE
 	$(MAKE) -C rt
 
+clean:
+	rm -f *.o *.so
+	for d in eeg sound vr rt; do $(MAKE) -C $$d clean; done
+# very cruel I know
+	for f in `find -iname \*.pyx`; do rm -f "$${f//.pyx/.c}"; done
+	for f in `find -iname \*.i`; do rm -f "$${f//.i/.py}"; done
 FORCE:
 
 PLATFORM = $(shell uname)
