=== code/hardware/sound/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all: _eplSound.so _soundFile.so
 
-INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+include ../../../Makefile.common
 
 PLATFORM = $(shell uname)
 
@@ -92,4 +92,4 @@
 endif
 
 clean:
-	rm *.o *.so *.cxx
+	rm -f *.o *.so *.cxx
