=== code/hardware/vr/Makefile ===
--- 
+++ 
@@ -9,9 +9,12 @@
 
 all: avatar.so environment.so 
 
-INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+include ../../../Makefile.common
 
 PLATFORM = $(shell uname)
+
+clean:
+	rm -fr *.o *.so pyODE-0.35cvs-2
 
 ifeq ($(PLATFORM), Linux)
