=== code/hardware/eeg/pulse/Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 PLATFORM = $(shell uname)
 INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+
+include ../../../../Makefile.common
 
 ifeq ($(PLATFORM), Linux)
 all: _parallel.so
@@ -48,7 +50,7 @@
 awctest: awCard.cpp awCard.h
 	g++ -g -o $@ awCard.cpp -law
 
+endif
+
 clean:
-	rm *.o *.so *.cxx
-
-endif
+	rm -f *.o *.so *.cxx
