=== code/hardware/eeg/scalp/Makefile ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 all: scalp.so
 
-
-INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+include ../../../../Makefile.common
 
 PLATFORM = $(shell uname)
