## pyepl 1.1.0+git12-g365f8e3

=== debian/changelog ===
pyepl (1.1.0+git12-g365f8e3-3ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:51 +0000

pyepl (1.1.0+git12-g365f8e3-3ubuntu1) focal; urgency=medium

  * python-pyepl-common: Hardcode python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 13:55:52 +0100

pyepl (1.1.0+git12-g365f8e3-3build3) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 18:57:00 +0000

pyepl (1.1.0+git12-g365f8e3-3build2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:40:17 +0000

pyepl (1.1.0+git12-g365f8e3-3build1) disco; urgency=medium

  * No-change rebuild against libode8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 22:46:27 +0000

pyepl (1.1.0+git12-g365f8e3-3) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: Set packaging branch name debian
  * Drop Build-Depends: jade
    Closes: #840377
  * Depends: s/python-imaging/python-pil/
    Closes: #866459
  * Build-Depends: dh-python
  * DEP5 fixes
  * debhelper 10
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Testsuite: autopkgtest-pkg-python
  * Drop ancient field X-Python-Version
  * Remove obsolete debian/pycompat
  * DEP3 fields
  * d/rules: Short dh
  * Add some Depends to Build-Depends to run unit tests
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 15 Oct 2018 14:05:00 +0200

pyepl (1.1.0+git12-g365f8e3-2) unstable; urgency=low

  * debian/patches/deb_path_to_resources
    - load icon.png and splash.png from under /usr/share/pyepl
      (Thanks ctw for the report)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Oct 2013 08:43:32 -0400

pyepl (1.1.0+git12-g365f8e3-1) unstable; urgency=low

  [ Yaroslav Halchenko]
  * This is not actually a new upstream release, but rather a
    clarification for 1.1.0-3 which absorbed lots of upstream changes
    without a boost of upstream revision
  * Move to 3.0(quilt) source format
  * ACK NMU by Michael -- thanks!
  * Added debian/gbp.conf to ease building using g-b-p

  [ Paolo Rotolo ]
  * Convert to dh_python2 (Closes: #616962)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Jun 2013 09:18:34 -0400

pyepl (1.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix gcc 4.7 build issue (closes: #692184).
  * Add kfreebsd support to makefiles (closes: #692101).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Nov 2012 04:14:46 +0000

pyepl (1.1.0-3) unstable; urgency=low

  * Absorbed some changes from upstream:
     - NF: Added show warnings on streams.
     - RF: Cleaning up sound code.
     - BF: Was not picking streams properly.
     - BF: Trying out separate streams.
     - BF: Added updated RtAudio files for potential recording bug fix.
     - BF/NF: If you generate a Showable surface yourself, do not unload
       it automatically.
     - DOC: Updated changelog with another update.
     - DOC: Updated changelog with the latest fix.
     - BF: Fixed simulatneous play/record bug.
     - NF: Added flush to sound recording.
  * Debian packaging:
     - Policy compliance boosted to 3.9.0: no changes seems to be due
     - Moved under NeuroDebian umbrella
     - Converting copyright to machine-readable DEP5
     - Build-Depends on python-all-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Jul 2010 14:08:55 -0400

pyepl (1.1.0-2) unstable; urgency=low

  * BF: use ode-config provided flags for avatar.so (Closes: #521755)
  * {misc:Depends}
  * Boosted standards version to 3.8.4: no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 07 May 2010 17:03:38 -0400

pyepl (1.1.0-1) unstable; urgency=low

  * New upstream release (gcc 4.3 compatible, so a relevant
    dpatch is dropped)
  * Debian packaging:
    - debhelper compatibility boosted to 5
    - both upstream and Debian packaging are available within the same
      git repository (so VCS fields added). Previous histories
      (upstream, debian packaging) are imported and finally merged
      within the same tree
    - boosted standards revision (no changes are due) to 3.8.1
    - stripped off dpatch and absorbed the patches within debian and upstream
      branches
    - README.Debian-source mentions the fact that we are building directly
      from git (upstream+debian) now
    - deprecating confusing autogeneration of debian/control
    - provided VCS fields within debian/control
    - adopted the patch from Matthias Klose <doko@ubuntu.com>, which should
      make pyepl friendlier to python2.6 and make use of python-provided
      makefile

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 May 2009 15:54:48 -0400

pyepl (1.0.29-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change libode0-dev build-dep to libode-dev. (Closes: #520732).
  * Use python-numpy in place of python-numeric-ext. (Closes: #478445).
  * Replace ttf-bitstream-vera with ttf-dejavu. (Closes: #528151).
    + Source was already patched to use DejavuSans.tff.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 13 May 2009 12:18:36 -0400

pyepl (1.0.29-3) unstable; urgency=low

  * Rebuild to move files to /usr/share/pyshared (Closes: #490519)
  * Boosted standards version to 3.8.0:
   - section python instead of science
   - homepage header field
  * Slight adjustment of the description
  * gcc-4.3 compatibility patch (fixed FTBS on up-to-date sid) 

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 Jul 2008 22:44:14 -0400

pyepl (1.0.29-2) unstable; urgency=low

  * Replaced dependenship on ttf-bitstream-vera. Now use ttf-dejavu
    (Closes: #461284). Thanks Daniel Baumann

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Feb 2008 10:37:23 -0500

pyepl (1.0.29-1.1) unstable; urgency=low

  * Non-maintainer upload.

