=== debian/control ===
--- 
+++ 
@@ -1,21 +1,46 @@
 Source: pyepl
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Michael Hanke <michael.hanke@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 5.0.37.2), libasound2-dev, libsndfile1-dev, libsamplerate0-dev, swig, libode-dev, python-all-dev (>=2.6.6-3~), jade, python-pyrex
-XS-Python-Version: >=2.3
+Build-Depends: debhelper (>= 10~),
+               dh-python,
+               libasound2-dev,
+               libsndfile1-dev,
+               libsamplerate0-dev,
+               swig,
+               libode-dev,
+               python-setuptools,
+               python-all-dev,
+               python-opengl,
+               python-pyode,
+               python-pyrex,
+               python-pygame
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/pyepl
+Vcs-Git: https://salsa.debian.org/neurodebian-team/pyepl.git
 Homepage: http://pyepl.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pyepl.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pyepl.git
-Standards-Version: 3.9.0
 
 Package: python-pyepl
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, python-pyepl-common (= ${source:Version}), python-numpy, python-imaging, python-pygame, python-pyode, python-opengl, ttf-dejavu, ${shlibs:Depends}
-Conflicts: python2.3-pyepl, python2.4-pyepl
-Replaces: python2.3-pyepl, python2.4-pyepl
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-pyepl-common (= ${source:Version}),
+         python-numpy,
+         python-pil,
+         python-pygame,
+         python-pyode,
+         python-opengl,
+         ttf-dejavu,
+         ${shlibs:Depends}
+Conflicts: python2.3-pyepl,
+           python2.4-pyepl
 Provides: ${python:Provides}
+Replaces: python2.3-pyepl,
+          python2.4-pyepl
 Description: module for coding psychology experiments in Python
  PyEPL is a stimuli delivery and response registration toolkit to be
  used for generating psychology (as well as neuroscience, marketing
@@ -39,7 +64,8 @@
 
 Package: python-pyepl-common
 Architecture: all
-Depends: ${misc:Depends}, python
+Depends: ${misc:Depends},
+         python2
 Description: module for coding psychology experiments in Python
  PyEPL is a stimuli delivery and response registration toolkit to be
  used for generating psychology (as well as neuroscience, marketing
@@ -60,4 +86,3 @@
  commercial product E'(E-Prime)
  .
  This package provides common files such as images.
-
